# arara-rules-ko

[KTUG Private Repository](http://ftp.ktug.org/KTUG/texlive/tlnet)를 통하여 제공되는 *arara-rules-ko* 패키지는 TeXLive를 통하여 설치되는 arara rule에 빠져 있는 ko.TeX 지원 파일의 모음이다.

이 패키지는 Nova de Hi가 관리하고 있다.

## 변경사항

### 2019.1

* komkindex.yaml을 4.0용으로 업그레이드하고 기존에 제공하던 세 개의 rule 파일을 제거하였다. 
* 이를 제거한 이유는 다음과 같다.
  * dvipdfmx rule이 TeX Live에서 제공된다.
  * kotexindy는 texindy와 xindy rule이 TeX Live에서 제공되기 때문에 별도로 존재할 이유가 없어졌다.

### 2020.3

* komkindex.yaml을 5.0용으로 업그레이드하였다. (TeX Live 2020)

## komkindex rule 사용법

```
% arara: komkindex: { style: <stylefile>, koreanfirst: <yes|no> }
```

`koreanfirst` 옵션은 `komkindex` 실행 시에 `-k` 옵션을 주어서 한글을 라틴문자보다 먼저 오도록 정렬하는 옵션이다. `style`, `options`는 `makeindex` rule과 마찬가지로 지정할 수 있다.

옵션 없이 다음과 같이 할 수 있다.

```
% arara: komkindex
```

## kotexindy가 없다면...

kotexindy가 제거되었기 때문에 `xindy`나 `texindy` rule을 써야 한다. 다음은 한 가지 예이다.

```
% arara: texindy: { language: korean, codepage: utf8 }
```

